Exponential 6.0.13 Exponential Enterprise Open Source CMS - PHP Class Reference

Public Member Functions | Public Attributes | List of all members
eZTemplateOperatorElement Class Reference
Template system » Template elements

Represents an operator element in the template tree. More...

## Public Member Functions
| __construct ( $name, $params, $resource=null, $templateName=null)
| setResourceRelation ( $resource)
| setTemplateNameRelation ( $templateName)
| resourceRelation ()
| templateNameRelation ()
& | name ()
| serializeData ()
| process ( $tpl, &$value, $nspace, $current_nspace)
& | parameters ()

## Public Attributes
| $Name
| The operator name. More...
| $Params
| The paramer array. More...
| $Resource
| $TemplateName

## Detailed Description

Represents an operator element in the template tree.

This class represents an operator with it's parameters.

Definition at line 23 of file eztemplateoperatorelement.php.

## Constructor & Destructor Documentation

## ◆ __construct()

eZTemplateOperatorElement::__construct | ( |  | $name,
|  |  | $params,
|  |  | $resource = `null`,
|  |  | $templateName = `null`
| ) |  |

Initializes the operator with a name and parameters.

Parameters

  string | $name |
  array | $params |
  mixed | $resource |
  string | $templateName |

Definition at line 33 of file eztemplateoperatorelement.php.

## Member Function Documentation

## ◆ name()

& eZTemplateOperatorElement::name | ( |  | ) |

Returns a reference to the name.

Definition at line 64 of file eztemplateoperatorelement.php.

References $Name.

## ◆ parameters()

& eZTemplateOperatorElement::parameters | ( |  | ) |

Returns a reference to the parameter array.

Definition at line 119 of file eztemplateoperatorelement.php.

References $Params.

## ◆ process()

eZTemplateOperatorElement::process | ( |  | $tpl,
|  | & | $value,
|  |  | $nspace,
|  |  | $current_nspace
| ) |  |

Process the operator and sets $value.

Definition at line 83 of file eztemplateoperatorelement.php.

## ◆ resourceRelation()

eZTemplateOperatorElement::resourceRelation | ( |  | ) |

Definition at line 51 of file eztemplateoperatorelement.php.

References $Resource.

## ◆ serializeData()

eZTemplateOperatorElement::serializeData | ( |  | ) |

Definition at line 69 of file eztemplateoperatorelement.php.

## ◆ setResourceRelation()

eZTemplateOperatorElement::setResourceRelation | ( |  | $resource | ) |

Definition at line 41 of file eztemplateoperatorelement.php.

## ◆ setTemplateNameRelation()

eZTemplateOperatorElement::setTemplateNameRelation | ( |  | $templateName | ) |

Definition at line 46 of file eztemplateoperatorelement.php.

## ◆ templateNameRelation()

eZTemplateOperatorElement::templateNameRelation | ( |  | ) |

Definition at line 56 of file eztemplateoperatorelement.php.

References $TemplateName.

## Member Data Documentation

## ◆ $Name

eZTemplateOperatorElement::$Name

The operator name.

Definition at line 125 of file eztemplateoperatorelement.php.

Referenced by name().

## ◆ $Params

eZTemplateOperatorElement::$Params

The paramer array.

Definition at line 127 of file eztemplateoperatorelement.php.

Referenced by parameters().

## ◆ $Resource

eZTemplateOperatorElement::$Resource

Definition at line 128 of file eztemplateoperatorelement.php.

Referenced by resourceRelation().

## ◆ $TemplateName

eZTemplateOperatorElement::$TemplateName

Definition at line 129 of file eztemplateoperatorelement.php.

Referenced by templateNameRelation().

The documentation for this class was generated from the following file:

- eztemplateoperatorelement.php

Copyright © 1998 – 2026 7x. All rights reserved. Licensed under the GNU GPLv2+.